/*      COMMON STYLES    */

.main-container {
    font-family: 'Open Sans', sans-serif;
    max-width: 1900px;
    margin: auto;
    overflow: hidden;
}

.link {
    text-decoration: none;
    color: #FFFFFF;
}

/* h2 померять не смог точно. блок съехавший на макете.
сделал так, как посчитал будет красиво)) */

.h2-header {
    font-weight: bold;
    font-size: 27px;
    text-align: center;
    text-transform: uppercase;
    color: #18B4CF;
    padding: 50px 0;
}


/*  SECTION HEADER  */

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 70px;
    background-color: #313131;
}

.architect-logo:before {
    content: url("../img/logo.svg");
    margin: 0 22px;
}

.architect-logo {
    display: flex;
    align-items: center;
    font-weight: bold;
    font-size: 22px;
    vertical-align: center;
}

.main-menu {
    display: flex;
    justify-content: center;
    font-weight: 600;
    font-size: 15px;
    text-transform: uppercase;
}

.main-menu-item {
    margin: 0 27px;
    text-align: center;
}

.search {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 68px;
    height: 70px;
    background-color: #000000;
}

.header-image {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-image: url("../img/header-image.jpeg");
    background-repeat: no-repeat;
    background-position: center center;
    background-attachment: fixed;
    background-size: cover;
}

/*тут кнопки и текст не по центру основного блока. я решил что это ошибка*/
/*макета. сделал по центру.*/

.header-image-h1 {
    text-transform: uppercase;
    color: #FFFFFF;
    font-weight: normal;
    font-size: 27px;
    margin: 123px 0 50px;
    text-align: center;
}

.header-image-buttons {
    margin-bottom: 123px;
    display: flex;
    width: 360px;
    justify-content: space-between;
}

.header-image-button {
    width: 170px;
    height: 55px;
    border: none;
    cursor: pointer;
    background-color: #14B9D5;
    color: #FFFFFF;
    font-size: 18px;
}

.subscribe {
    background-color: #89CA62;
}

/*  SECTION - MOST POPULAR POSTS  */

.most-popular-posts {
    background-color: #F2F2F2;
}

.most-popular-container {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-content: space-between;
    height: 896px;
    width: 1170px;
    margin: 0 auto;
}

.most-popular-item  {
    width: 370px;
    background-color: #FFFFFF;
    margin-bottom: 30px;
}

.most-popular-item-text {
    font-weight: bold;
    font-size: 18px;
    margin: 20px 10px 22px;
    color: #353A3D;
    text-align: center;
}

/*  MOST POPULAR CLIENTS  */

.popular-clients {
    background: url("../img/paralax-image.jpeg") no-repeat center center fixed;
    background-size: cover;
}

.popular-clients-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(4, 1fr);
    align-items: center;
    justify-items: center;
    max-width: 881px;
    margin: 0 auto;
}

.popular-clients-header {
    grid-column: 1 / 5;
    grid-row: 2 / 3;
    font-weight: bold;
    font-size: 32px;
    line-height: 44px;
    text-transform: uppercase;
    color: #FFFFFF;
    margin: 45px 0;
    align-self: center;
}

.popular-clients-header:after {
    content: "";
    display: block;
    width: 60px;
    height: 3px;
    background-color: #18B4CF;
    align-self: center;
    margin: 0 auto;
    position: relative;
    top: 42px;
}

.national-post {
    grid-row: 3 / 3;
    grid-column: 1 / 2;
}

.dryme {
    grid-row: 3 / 3;
    grid-column: 2 / 3;
}

.house-home {
    grid-row: 3 / 3;
    grid-column: 3 / 4;
}

.journy {
    grid-row: 3 / 3;
    grid-column: 4 / 5;
}

/*  SECTION TOP RATED   */

.top-rated-pics {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    grid-template-rows: 1fr;
    justify-items: stretch;
    width: 100px;
}

.top-rated-1 {
    grid-column-start: 1;
    grid-row-start: 1;
}

.top-rated-2 {
    grid-column-start: 2;
    grid-row-start: 1;
}

.top-rated-3 {
    grid-column-start: 3;
    grid-row-start: 1;
}

.top-rated-4 {
    grid-column-start: 4;
    grid-row-start: 1;
}

.top-rated-5 {
    grid-column-start: 5;
    grid-row-start: 1;
}

.top-rated-6 {
    grid-column-start: 6;
    grid-row-start: 1;
}

.top-rated-7 {
    grid-column-start: 7;
    grid-row-start: 1;
}

/*  SECTION HOT NEWS  */

.hot-news-container {
    justify-content: center;
    display: grid;
    grid-template-columns: 277px 277px 60px 277px 277px;
    grid-template-rows: repeat(4, auto);
    row-gap: 30px;
}

.hot-news-hotel-side-img {
    float: left;
}

/*На занятиях обсуждалось, что все нужно сделать гридами. Я тут немного применил флоат. Были разные варианты, как сделать эту секцию, но этот я счел самым*/
/*правильным. То что, обсуждали на занятиях мне не очень понравилось, так как искажало дизайн блока. Может и не существенно, но все-же.*/
/*Я решил, что наша задача как верстальщиков максимально точено реализовать задумку дизайнера самым оптимальным способом.*/
/*Поэтому, сорри за флоат. Но как по мне, все равно секция гридами. И даже флексов там нет))*/

.h4-header {
    padding: 15px 24px 14px 0;
    font-weight: bold;
    font-size: 18px;
}

.big-padding-top {
    padding-top: 41px;
}

.hotels-background {
    background-color: #F9F7F7;
    text-align: right;
}

.text-center {
    text-align: center;
    padding-right: 0;
}

.hot-news-text {
    font-weight: 600;
    font-size: 14px;
    line-height: 21px;
    color: #5B6469;
    padding-bottom: 10px;
    padding-right: 24px;
}

.prophecy-hotel {
    grid-column: 1 / 5;
    grid-row-start: 1;
    margin-right: 30px;
}

.nebula-hotel {
    grid-column: 5 / 6;
    grid-row-start: 1;
}

.western-pyramid {
    grid-column: 1 / 3;
    grid-row: 2 / 3;
}

.grand-meadows {
    grid-column: 4 / 6;
    grid-row: 2 / 3;
}

.wanderlust {
    grid-column: 1 / 3;
    grid-row: 3 / 4;
}

.twin-sanctuary {
    grid-column: 4 / 6;
    grid-row: 3 / 4;
}

.prism-hotel {
    grid-column: 1 / 2;
    grid-row: 4 / 5;
}

.kings-shroud {
    grid-column: 2 / 6;
    grid-row: 4 / 5;
    margin-left: 30px;
}

/*      FOOTER    */

.footer {
    background-color: black;
    margin-top: 71px;
}

.footer-grid-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr;
    width: 1168px;
    height: 80px;
    margin: 0 auto;
}

.copyright {
    grid-column: 1 / 2;
    grid-row-start: 1;
    color: #FFFFFF;
    font-size: 13px;
    align-self: center;
}

.lioit-logo {
    grid-column: 2 / 2;
    grid-row-start: 1;
    justify-self: right;
    align-self: center;
}

.lioit-logo-img {
    vertical-align: middle;
}